--说明
--性能指标建议列表
--          数据文件                日志文件
--目标：     <10 ms                  >5
--可接受：    10-20 ms              5-15
--不可接受： >20 ms                  >15

SELECT db_name(database_id) AS 'DB Name',file_id,io_stall_read_ms / num_of_reads AS 'Avg Read Transfer/ms',
  io_stall_write_ms / num_of_writes AS 'Avg Write Tranfer/ms'
FROM sys.dm_io_virtual_file_stats(-1, -1)
WHERE num_of_reads > 0 AND num_of_writes > 0